GET
/v1/sessions/{session_id}/remote/layoutReturns the binary split tree that describes how tiles are arranged. Useful for understanding what's on screen before you start rearranging things.
Authorization
apiKeyAuth X-Taiku-Token<token>
Your API key from taiku login. Also available as TAIKU_TOKEN env var.
In: header
Path Parameters
session_id*string
Query Parameters
client?integer
Optional target browser client ID. Useful when multiple clients are connected to the same session.
Range
0 <= valueResponse Body
application/json
text/plain
text/plain
text/plain
text/plain
text/plain
text/plain
curl -X GET "/api/v1/sessions/string/remote/layout"{
"result": {
"kind": "split",
"direction": "horizontal",
"ratio": 0.5,
"first": {
"kind": "leaf",
"tiles": [
1
]
},
"second": {
"kind": "leaf",
"tiles": [
2
]
}
}
}"Command failed""Unauthorized""Not the session owner""Session not found""Session closed""No active browser clients responded"